#import <React/RCTBridgeModule.h>

@interface RCT_EXTERN_MODULE(NPrinterScanControllerModule, NSObject)

RCT_EXTERN_METHOD(startScan:(RCTPromiseResolveBlock)resolve
                 withRejecter:(RCTPromiseRejectBlock)reject)

RCT_EXTERN_METHOD(stopScan)

+ (BOOL)requiresMainQueueSetup
{
  return NO;
}

@end
